Subject: Re: bug#73188: PEG parser does not support full PEG grammar

From: Ludovic Courtès <[email-masked]>
Date: Sun, 22 Dec 2024 22:22:09 +0100

Hi Ekaitz,

Apologies for applying the wrong version of the patch series!

I pushed the 3 patches you just sent:

  6750f6cc8 * PEG: string-peg: Add HTML5 grammar test.
  38ad26497 * PEG: string-peg: Better support for escaping.
  c86a48a92 * PEG: string-peg: Fix [^...] interpretation.

I added commit logs that follow the project’s conventions (same as
Guix).

In the future, when a patch fixes a bug, please include a test case that
reproduces the bug being fixed; possibly add information in the commit
log about the commit that introduced the bug/regression.  This is useful
to get a good understanding of the situation.  (I understand in this
case the problem was mostly me applying an earlier version.)

And bonus points if you provide commit logs.  :-)

Thank you!

Ludo’.